Package org.kie.internal.services

# Class KieWeaversImpl

java.lang.Object
org.kie.internal.services.AbstractMultiService<ResourceType,KieWeaverService>
org.kie.internal.services.KieWeaversImpl

All Implemented Interfaces:
  `Comparable<KieService>`, `KieService`, `KieWeavers`

public class KieWeaversImpl extends AbstractMultiService<ResourceType,KieWeaverService> implements KieWeavers

- ## Field Summary

  ### Fields inherited from interface org.kie.api.internal.utils.KieService

  `UNDEFINED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KieWeaversImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `merge(KiePackage pkg, ResourceTypePackage rtkKpg)`
  `protected Class<KieWeaverService>`
  `serviceClass()`
  `protected ResourceType`
  `serviceKey(KieWeaverService service)`
  `void`
  `weave(KiePackage newPkg, ResourceTypePackage rtkKpg)`

  ### Methods inherited from class org.kie.internal.services.AbstractMultiService

  `getService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.internal.utils.KieService

  `compareTo, servicePriority, serviceTag`

- ## Constructor Details

  - ### KieWeaversImpl

    public KieWeaversImpl()

- ## Method Details

  - ### weave

    public void weave(KiePackage newPkg, ResourceTypePackage rtkKpg)
    Specified by:
      `weave` in interface `KieWeavers`

  - ### merge

    public void merge(KiePackage pkg, ResourceTypePackage rtkKpg)
    Specified by:
      `merge` in interface `KieWeavers`

  - ### serviceClass

    protected Class<KieWeaverService> serviceClass()
    Specified by:
      `serviceClass` in class `AbstractMultiService<ResourceType,KieWeaverService>`

  - ### serviceKey

    protected ResourceType serviceKey(KieWeaverService service)
    Specified by:
      `serviceKey` in class `AbstractMultiService<ResourceType,KieWeaverService>`